Subject: Re: Mingw32 Futures
From: [email-masked] (Bartlee A. Anderson)

20 Feb 1998 13:56:07 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Colin Peters <[email-masked]>
Cc: [email-masked]

Personally, I'd like to see how to integrate new versions of mingw32
into an existing installation. Is this possible.
Then from the generic instructions we could have caveats for the various
environments so that your time is spent improving/expanding mingw32.

I wanted to get your headers, but I'm leary of putting in new stuff into 
a working setup if I don't know what I'm doing. ( I could always backup
and restore, but it's an effort ).

	Bart

Colin Peters wrote:
> 
> Hello all,
> 
> I hope those of you who do not use or have any interest in Mingw32 don't
> mind me taking up a bit of bandwidth with strictly Mingw32 issues on this
> list. On the other hand I hope that people in positions of power/authority
> and/or interested users might take a moment to give their opinions.
> 
> First of all, I'd like to make a little terminology clear. When I talk about
> Mingw32 I mean the header files, configuration files, startup code and
> support libraries that allow gcc to build applications which use CRTDLL.DLL
> (or possibly other MS supplied C run time library DLLs) as their C run time
> library. Many posters refer to "Mingw32 2.8.0" which is actually the GNU
> compiler gcc version 2.8.0 built by Jan-Jaap using the Mingw32 headers and
> distributed bundled with those headers. I'd call that Mingw32 gcc 2.8.0.
> 
> That is typical of the "problems" I am having right now. Basically, there
> are at least three versions of the gcc compiler distribution which either
> have or plan to have Mingw32 integrated into them. Jan jaap's Mingw32 gcc
> 2.8.0, Mumit Khan's releases of EGCS for Mingw32, Cygwin32 gcc (perhaps
> starting with b20) and maybe the FSF version of gcc.
> 
> I have no problem with this at all. I put that code in the public domain so
> people could use it. However, I am basically the defacto maintainer of the
> Mingw32 source base until someone tells me otherwise, and so my questions
> are something like this:
> 
> 1. Mingw32 is basically a C run time library replacement. As I understand it
> gcc is usually bundled with the GNU C library (libc and libm) among other
> libraries. Cygwin32's newlib is similar (with a more ambitious goal). Has
> anyone seriously thought about how this should fit together? If *I* thought
> about it who would I need to talk to about implementing it (newsgroups?
> mailing lists?)?
> 
> 2. Is it or is it not the gcc maintainer's intention to do integration of
> Mingw32 into the gcc distribution? I have heard that gcc itself has been
> modified to compile *under* Mingw32 anyway. I suspect they will not go
> further (in fact, I would *encourage* them to not go further). Personally I
> am in favor of small, modular packages. I would like to be able to download
> and install gcc separately (no libraries at all) and then pick and choose
> what to put in. Big shrink-wrapped packages are nice for some people, but I
> like at least having the option of customization. Is this something that
> could be done? Is this something that I could help do?
> 
> 3. If I am to continue as the de-facto maintainer of Mingw32 I should like
> to have an idea of how updates should be made for the greatest convenience
> for all involved. The future of Mingw32 seems to be leaning towards a
> package that people who build gcc for Win32 may be adding on to their
> compiler distributions, not a package that general users will be adding on
> to their compiler after installation. As such, do any of these compiler
> distributers (Mumit? Jan-Jaap?) have comments on such nicities as directory
> structures, readme files (i.e. what instructions do I need to write) and
> such. Similarly, are all you guys willing to send me back changes you make
> for (hopefully) re-integration? Do you think it would be possible for me to
> have one copy of Mingw32 that will satisfy everyone?
> 
> 4. Related to the above. I don't think b19 is going to include any Mingw32
> stuff (beyond perhaps the ability to be rebuilt under Mingw32). Should I try
> to write up instructions for adding Mingw32 onto a Cygwin install for the
> convenience of those who want both?
> 
> Thanks for your time. I hope to hear from you.
> 
> Colin.
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Bartlee A. Anderson     System Test (Interfaces-Tools-Automation-ISDN)
Rockwell International                    Electronic Commerce Division
300 Bauman Ct.                                [email-masked]
MS 933-605      Opinions my own, not Rockwell's   VOICE (630) 227-8975
Wood Dale, IL 60191                               FAX   (630) 227-9771
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".